import * as React from 'react';
import { IDetailsGroupHeaderProps, IGroup } from './index';
import { IViewport } from '../../utilities/decorators/withViewport';
import './GroupHeader.scss';
export interface IGroupHeaderProps {
    group: IGroup;
    groupIndex: number;
    groupLevel: number;
    headerProps?: IDetailsGroupHeaderProps;
    viewport?: IViewport;
}
export interface IGroupHeaderState {
    isCollapsed: boolean;
    isLoadingVisible: boolean;
}
export declare class GroupHeader extends React.Component<IGroupHeaderProps, IGroupHeaderState> {
    constructor(props: IGroupHeaderProps);
    componentWillReceiveProps(newProps: any): void;
    render(): JSX.Element;
    private _onToggleCollapse(ev);
    private _onToggleSelectGroup(ev);
    private _onHeaderClick();
}
